=== debian/changelog ===
obs-vintage-filter (1.0.0-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: added a Breaks field to make this plugin incompatible with
    obs-text-slideshow (<= 1.5.2-3), no longer in Debian.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 12 Jun 2023 19:33:43 -0300

obs-vintage-filter (1.0.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1033161)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 18 Mar 2023 10:34:31 -0300
