=== debian/control ===
Source: obs-vintage-filter
Section: video
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 29)
Standards-Version: 4.6.2
Homepage: https://obsproject.com/forum/resources/vintage-filter.818/
Vcs-Browser: https://salsa.debian.org/debian/obs-vintage-filter
Vcs-Git: https://salsa.debian.org/debian/obs-vintage-filter.git

Package: obs-vintage-filter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 29)
Enhances: obs-studio
Breaks: obs-text-slideshow (<= 1.5.2-3)
Description: plugin for OBS Studio to make sources black and white or sepia
 This plugin provides a filter that adds the ability for sources to be black
 and white or sepia. This is useful to create vintage effects over photos,
 movies, webcam images, etc.
