=== debian/watch ===
version=4
https://github.com/cg2121/obs-vintage-filter/tags archive/refs/tags/(\d\S+)\.tar\.(?:bz2|gz|xz)
